Tools
Show what a tool policy or an agent deployment's pinned policies decide for tools (no side effects)
POST /v1/tool-policies/evaluate · SDK evaluateToolPolicy · CLI deployments tool-policy evaluate
POST
Requires tools:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$application/json- body
toolNames*array<>Items
1 <= items <= 100toolPolicyId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$EvaluateToolPolicyResponse
application/json- response
agentDeploymentId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$agentReleaseId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$results*array<>toolPolicyId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$curl -X POST "https://example.com/v1/tool-policies/evaluate" \ -H "x-deployments-environment: string" \ -H "Content-Type: application/json" \ -d '{ "toolNames": [ "string" ], "toolPolicyId": "string" }'{ "agentDeploymentId": "string", "agentReleaseId": "string", "results": [ { "action": "allow", "basis": "default", "catalogStatus": "active", "matchedRuleIndex": 0, "policyApplies": true, "reason": "string", "toolName": "string", "toolPolicyId": "string" } ], "toolPolicyId": "string"}